# Class CommonProgressAnimations

java.lang.Object
com.codename1.ui.CommonProgressAnimations

public class CommonProgressAnimations extends Object
A collection of useful progress animations and utility methods.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CommonProgressAnimations.CircleProgress`
  A progress animation that shows an animated circle.
  `static class`
  `CommonProgressAnimations.EmptyAnimation`
  An empty progress animation.
  `static class`
  `CommonProgressAnimations.LoadingTextAnimation`
  A progress animation that shows a block of text being typed.
  `static class`
  `CommonProgressAnimations.ProgressAnimation`
  Base class for ProgressAnimations

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonProgressAnimations()`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### CommonProgressAnimations

    public CommonProgressAnimations()